#ifndef _VIDEO_LINE_MODULE
#define _VIDEO_LINE_MODULE

#include "simpleLineModule.h"
#include "ofMain.h"
#include "ofVec3f.h"
#include "timeStroke.h"

class videoLineModule : public simpleLineModule {
	
	public:
		
		videoLineModule();
		
		void 		setMovie(char * movieName);
		
		void 		reset();
		void 		setup();
		void 		update();
		void 		updatePts();
		void 		draw(float offsetx, float offsety);
		bool 		bAmIDone(){ return pct > 1 ? true : false; };

		bool 		bHaveNewPoint();
		ofVec3f 	getNewPoint();
		
		float 			pct;
		ofVec3f 		pointPos;
		bool 			bPointNew;
		ofVideoPlayer 	video;
		timeStroke		ts;
};

#endif	